Subject: WCS Paper II, revision

From: Mark Calabretta <Mark.Calabretta at atnf.csiro.au>
Date: Wed, 28 Apr 1999 11:44:29 +1000

Thank you to those who responded to the call for comments on WCS Paper II,
"Representations of celestial coordinates in FITS".  A revised draft based
on this feedback and dated 1999/04/28 is now available from my home page

   http://www.atnf.csiro.au/people/mcalabre

or from Eric's ftp area (soon, check the date)

   ftp://ftp.cv.nrao.edu/NRAO-staff/egreisen.

The changes could probably best be described as fine tuning.  "diff -C 1"
output on the LaTeX file is appended (insignificant typesetting changes have
been removed from this output).  Changes were also made to correct keyword
nomenclature in Fig. 1 and to correctly identify the angle theta in Fig. 4.

There is still time to make further comments, particularly on Sect. 4.1.5,
Eqs. (40) & (41).

Mark Calabretta
ATNF

------------------------------------------------------------------------------

*** ccs.tex	1999/04/20 04:19:14	1.13
--- ccs.tex	1999/04/28 00:04:00
***************
*** 576,578 ****
  the time of observation.  The new keyword takes preference over the old one if
! both are given.  Note that \EQUINOX{s} also applies to ecliptic as well as
  equatorial coordinates.
--- 576,578 ----
  the time of observation.  The new keyword takes preference over the old one if
! both are given.  Note that \EQUINOX{s} applies to ecliptic as well as to
  equatorial coordinates.
***************
*** 834,839 ****
  (ca.\,624-547\,{\sc b.c.}).  The stereographic and orthographic date to
! Hipparchus (ca.\,190-after 126\,{\sc b.c.}).}, is widely used in optical
  astronomy and was given its own code within the AIPS convention, namely
! \keyv{TAN}.  However, the \keyv{TAN} projection is here extended to include
! corrections for instrumental distortions and is covered separately in
  Sect.~\ref{sec:TAN}.  If a simple gnomonic projection is required it can be
--- 834,841 ----
  (ca.\,624-547\,{\sc b.c.}).  The stereographic and orthographic date to
! Hipparchus (ca.\,190-after 126\,{\sc b.c.}).} is widely used in optical
  astronomy and was given its own code within the AIPS convention, namely
! \keyv{TAN}\footnote{Referring to the dependence of $\Rt$ on the angular
! separation between the tangent point and field point, i.e. the native
! {\em co}-latitude.}.  However, the \keyv{TAN} projection is here extended to
! include corrections for instrumental distortions and is covered separately in
  Sect.~\ref{sec:TAN}.  If a simple gnomonic projection is required it can be
***************
*** 899,903 ****
  widely used in aperture synthesis radioastronomy and was given its own code
! within the AIPS convention, namely \keyv{SIN}.  Use of this projection code
! obviates the need to specify an infinite value as a parameter of \keyv{AZP}.
! In this case, Eq.~(\ref{eq:AZPRt}) becomes
  
--- 901,906 ----
  widely used in aperture synthesis radioastronomy and was given its own code
! within the AIPS convention, namely \keyv{SIN}\footnote{Similar etymology to
! \keyv{TAN}.}.  Use of this projection code obviates the need to specify an
! infinite value as a parameter of \keyv{AZP}.  In this case,
! Eq.~(\ref{eq:AZPRt}) becomes
  
***************
*** 1086,1108 ****
  high-precision with a measuring engine.  These plate coordinates are usually
! measured in $\mu$m rather than degrees.
  
! Astrometrists refer to the $(\xi,\eta)$ coordinates obtained by application of
! the distortion function as {\em standard} coordinates.  They correspond to
! projection plane coordinates for a non-distorted projection, usually gnomonic
! or zenithal equidistant.  We will confine ourselves here to the gnomonic case
! since the field sizes of interest are sufficiently small, typically less than
! $6\degr \times 6\degr$, that the distortion function itself can account for
! the difference between it and other projections.
! 
! In the current treatment we require that $(\xi,\eta)$ be measured in degrees.
! However, in order to more easily accomodate traditional astrometric practices
! and facilitate translation of existing plate measurements, we recommend but do
! not require that $(x,y)$ be measured in degrees.  This is possible because the
! linear terms of the distortion function provide an opportunity to rescale
! $(\xi,\eta)$ appropriately.  The distortion function effectively becomes an
! attachment of the the linear transformation matrix rather than part of the
! projection itself.  Ideally the linear terms of the distortion function should
! define an identity transformation with translation, rotation, skewness and
! scale handled solely by Eq.~(\ref{eq:ijCDxy}).  In that case the distortion
! function becomes a second-order correction.
  
--- 1089,1106 ----
  high-precision with a measuring engine.  These plate coordinates are usually
! measured in $\mu$m or mm rather than degrees.
  
! The {\em standard} coordinates, $(\xi,\eta)$, correspond to projection plane
! coordinates for a gnomonic projection (Murray \cite{kn:Mu}).  Standard
! coordinates are usually measured in radians but in the current treatment we
! require that $(\xi,\eta)$ be measured in degrees.  However, in order to more
! easily accomodate traditional astrometric practices and facilitate translation
! of existing plate measurements, we recommend but do not require that $(x,y)$
! be measured in degrees.  This is possible because the linear terms of the
! distortion function provide an opportunity to rescale $(\xi,\eta)$
! appropriately.  The distortion function effectively becomes an attachment of
! the the linear transformation matrix rather than part of the projection
! itself.  Ideally the linear terms of the distortion function should define an
! identity transformation with translation, rotation, skewness and scale handled
! solely by Eq.~(\ref{eq:ijCDxy}).  In that case the distortion function becomes
! a second-order correction.
  
***************
*** 1396,1403 ****
  
! Lambert's\footnote{Johann Heinrich Lambert (1728-1777) formulated and gave his
! name to a number of important projections as listed in
! Table~\ref{ta:aliases}.} equal area projection, the case with $\lambda = 1$,
! is illustrated in Fig.~\ref{fig:CEA}.  It shows the extreme compression of the
! parallels of latitude at the poles typical of all cylindrical equal area
! projections.
  
--- 1394,1401 ----
  
! Lambert's\footnote{The mathematician, astronomer and physicist Johann Heinrich
! Lambert (1728-1777) formulated and gave his name to a number of important
! projections as listed in Table~\ref{ta:aliases}.} equal area projection, the
! case with $\lambda = 1$, is illustrated in Fig.~\ref{fig:CEA}.  It shows the
! extreme compression of the parallels of latitude at the poles typical of all
! cylindrical equal area projections.
  
***************
*** 1991,1993 ****
  and use the fact that for a cone tangent to the sphere at latitude $\theta_1$
! as shown in Fig.~\ref{fig:COP} then $R_{\theta_1} = \rd\cot\theta_1$.
  
--- 1989,1991 ----
  and use the fact that for a cone tangent to the sphere at latitude $\theta_1$
! as shown in Fig.~\ref{fig:COP} we have $R_{\theta_1} = \rd\cot\theta_1$.
  
***************
*** 2653,2658 ****
  
! However, FITS-writers should never mix \CDELT{i} or \CROTA{j} together with
! the new keyword values.  We make this requirement primarily to minimize
! confusion.  However, there is the practical case described in
! Sect.~\ref{sec:AITGLSMER} where the presence of \CDELT{j} header cards
  distinguishes between the old and new interpretations of the \keyv{AIT},
--- 2651,2657 ----
  
! Modern FITS-writers must not attempt to help older interpreters by mixing
! \CDELT{i} or \CROTA{j} together with the new keyword values (assuming the
! \CD{j}{is} matrix is amenable to such translation).  We make this requirement
! primarily to minimize confusion although there is the practical case described
! in Sect.~\ref{sec:AITGLSMER} where the presence of \CDELT{j} header cards
  distinguishes between the old and new interpretations of the \keyv{AIT},
***************
*** 2833,2839 ****
  optical telescopes is closer to a gnomonic (\keyv{TAN}) projection.  On the
! other hand, the optics of the telescope used for the Sloan Digital Sky Survey
! produce a cylindrical perspective projection.  Similarly a map of the surface
! of the moon as it appears from Earth requires a zenithal perspective
! (\keyv{AZP}) projection with $\mu = -60$.  Likewise for spacecraft generated
! images of distant moons and planets.
  
--- 2832,2838 ----
  optical telescopes is closer to a gnomonic (\keyv{TAN}) projection.  On the
! other hand, the great circle scanning technique of the the Sloan Digital Sky
! Survey produce a cylindrical projection.  Similarly a map of the surface of
! the moon as it appears from Earth requires a zenithal perspective (\keyv{AZP})
! projection with $\mu \approx -60$.  Likewise for spacecraft generated images
! of distant moons and planets.
  
***************
*** 2915,2917 ****
  \keyv{STG}, \keyv{ARC}, \keyv{ZEA}, \keyv{CAR}, \keyv{MER}, \keyv{BON},
! \keyv{PCO}, \keyv{GLS}, \keyv{AIT}.  The following are scaled true at the
  reference point for the particular conditions indicated: \keyv{TAN}
--- 2915,2917 ----
  \keyv{STG}, \keyv{ARC}, \keyv{ZEA}, \keyv{CAR}, \keyv{MER}, \keyv{BON},
! \keyv{PCO}, \keyv{SFL}, \keyv{AIT}.  The following are scaled true at the
  reference point for the particular conditions indicated: \keyv{TAN}
***************
*** 3106,3109 ****
        \verb+CD1_1A  =               -0.005 / Transformation matrix element+ \\
!       \verb+CD1_2A  =              0.00001 / Transformation matrix element+ \\
!       \verb+CD2_1A  =              0.00001 / Transformation matrix element+ \\
        \verb+CD2_2A  =                0.005 / Transformation matrix element+ \\
--- 3106,3109 ----
        \verb+CD1_1A  =               -0.005 / Transformation matrix element+ \\
!       \verb+CD1_2A  =              0.00002 / Transformation matrix element+ \\
!       \verb+CD2_1A  =             -0.00001 / Transformation matrix element+ \\
        \verb+CD2_2A  =                0.005 / Transformation matrix element+ \\
***************
*** 3358,3360 ****
  $\phi\sub{p}$ to give $(\ell,b)$ in terms of $(\phi,\theta)$.  This is easy
! because we know $\ell\sub{p}=90\degr$ and the simple special case
  Eqs.~(\ref{eq:nat2std90}) apply so
--- 3354,3356 ----
  $\phi\sub{p}$ to give $(\ell,b)$ in terms of $(\phi,\theta)$.  This is easy
! because we know $b\sub{p}=90\degr$ and the simple special case
  Eqs.~(\ref{eq:nat2std90}) apply so
***************
*** 3404,3406 ****
  \noindent
! Equations~(\ref{eq:nat2stdm90}) apply for $\ell\sub{p}=-90\degr$ so
  
--- 3400,3402 ----
  \noindent
! Equations~(\ref{eq:nat2stdm90}) apply for $b\sub{p}=-90\degr$ so
  
***************
*** 3597,3599 ****
  approximation since typically $B_1 \approx A_1$.  On the other hand, setting
! $\lambda = 1$ preserves $(x,y)$ as plate coordinates measured in mm.
  
--- 3593,3596 ----
  approximation since typically $B_1 \approx A_1$.  On the other hand, setting
! $\lambda = 1$ preserves $(x,y)$ as plate coordinates measured in mm.  The
! choice will be left open here.
  
***************
*** 3690,3693 ****
     & \keyw{PV1\_14} &=& a_{14} &=&                                 0 \, , \\
!    & \keyw{PV1\_15} &=& a_{15} &=&                                 0 \, , \\
!    & \keyw{PV1\_16} &=& a_{16} &=&                                 0 \, .
  \end{array}
--- 3687,3689 ----
     & \keyw{PV1\_14} &=& a_{14} &=&                                 0 \, , \\
!    & \keyw{PV1\_15} &=& a_{15} &=&                                 0 \, .
  \end{array}
***************
*** 3714,3717 ****
     & \keyw{PV2\_14} &=& b_{14} &=&                                 0 \, , \\
!    & \keyw{PV2\_15} &=& b_{15} &=&                                 0 \, , \\
!    & \keyw{PV2\_16} &=& b_{16} &=&                                 0 \, .
  \end{array}
--- 3710,3712 ----
     & \keyw{PV2\_14} &=& b_{14} &=&                                 0 \, , \\
!    & \keyw{PV2\_15} &=& b_{15} &=&                                 0 \, .
  \end{array}
***************
*** 3792,3793 ****
--- 3787,3803 ----
  
! Most optical telescopes are better described by the \keyv{TAN} projection.  In
! this case the only difference in the header would be
  
! \noindent
! \begin{eqnarray*}
!    \keyw{CTYPE2}  & = & \keyv{'RA---TAN'} \, , \\
!    \keyw{CTYPE3}  & = & \keyv{'DEC--TAN'} \, , \\
! \end{eqnarray*}
  
! \noindent
! Verifying it with the same values as before yields the same $(s,x,y)$ and thus
! the same wavelength.  From Eqs.~(\ref{eq:azrt}), (\ref{eq:azphi}) and
! (\ref{eq:GNORt}) we get $(\phi,\theta) = (90\degr,89\fdg4314076)$, the offset
! of 2046\farcs933 differing by only 67~mas.  The right ascension and
! declination are $(\alpha,\delta) = (150\fdg3449926,-34\fdg5070956)$.
  
***************
*** 4303,4305 ****
  described in this paper.  One, Mollweide's, even requires solution of a
! transcentental equation for the forward equations.  However, these do not
  give rise to any particular difficulties.
--- 4314,4316 ----
  described in this paper.  One, Mollweide's, even requires solution of a
! transcendental equation for the forward equations.  However, these do not
  give rise to any particular difficulties.
***************
*** 4355,4357 ****
        Sinusoidal             & \keyv{SFL} \\
!          \In Global sinusoid \\
           \In Mercator equal-area \\
--- 4366,4368 ----
        Sinusoidal             & \keyv{SFL} \\
!          \In Global sinusoid (\keyv{GLS}) \\
           \In Mercator equal-area \\
***************
*** 4500,4501 ****
--- 4511,4515 ----
  
+ \bibitem[1983]{kn:Mu} Murray, C. A., 1983, Vectorial Astrometry,
+    Adam Hilger Ltd., Bristol.
+ 
  \bibitem[1976]{kn:OL} O'Neill, E. M., Laubscher, R. E., 1976,